> ## Documentation Index
> Fetch the complete documentation index at: https://docs.artu.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Count workflows matching filter



## OpenAPI

````yaml /openapi/workflows.json post /workflows/count
openapi: 3.1.1
info:
  title: ARTU Compliance API
  version: 1.0.0
  description: 'API for compliance management. Documentation: https://docs.artu.ai'
servers:
  - url: https://api.artu.ai
security:
  - bearerAuth: []
    environmentHeader: []
paths:
  /workflows/count:
    post:
      tags:
        - Workflows
      summary: Count workflows matching filter
      operationId: workflows.count
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                filter:
                  type: object
                  properties:
                    search:
                      type: string
                      minLength: 1
                      maxLength: 200
                      description: Search
                    status:
                      anyOf:
                        - enum:
                            - draft
                            - active
                            - inactive
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - draft
                                - active
                                - inactive
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - draft
                                  - active
                                  - inactive
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - draft
                                  - active
                                  - inactive
                                type: string
                      description: Status
                    triggerType:
                      anyOf:
                        - enum:
                            - event
                            - schedule
                            - manual
                            - manual_file
                            - form_link
                            - api
                            - workflow_completion
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - event
                                - schedule
                                - manual
                                - manual_file
                                - form_link
                                - api
                                - workflow_completion
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - event
                                  - schedule
                                  - manual
                                  - manual_file
                                  - form_link
                                  - api
                                  - workflow_completion
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - event
                                  - schedule
                                  - manual
                                  - manual_file
                                  - form_link
                                  - api
                                  - workflow_completion
                                type: string
                      description: Trigger Type
                    triggerEntity:
                      anyOf:
                        - enum:
                            - transaction
                            - client
                          type: string
                        - type: object
                          properties:
                            eq:
                              enum:
                                - transaction
                                - client
                              type: string
                            in:
                              type: array
                              items:
                                enum:
                                  - transaction
                                  - client
                                type: string
                            nin:
                              type: array
                              items:
                                enum:
                                  - transaction
                                  - client
                                type: string
                      description: Trigger Entity
                    name:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Name
                    description:
                      anyOf:
                        - type: string
                        - type: object
                          properties:
                            eq:
                              type: string
                            contains:
                              type: string
                            startsWith:
                              type: string
                            endsWith:
                              type: string
                            in:
                              type: array
                              items:
                                type: string
                            nin:
                              type: array
                              items:
                                type: string
                      description: Description
                    tagIds:
                      anyOf:
                        - type: string
                          format: uuid
                        - type: object
                          properties:
                            contains:
                              type: string
                              format: uuid
                            notContains:
                              type: string
                              format: uuid
                            containsAny:
                              type: array
                              items:
                                type: string
                                format: uuid
                            containsAll:
                              type: array
                              items:
                                type: string
                                format: uuid
                            empty:
                              type: boolean
                            notEmpty:
                              type: boolean
                      description: Tags
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: integer
                minimum: -9007199254740991
                maximum: 9007199254740991
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: API key authentication. Obtain your API key from the dashboard.
    environmentHeader:
      type: apiKey
      in: header
      name: X-Environment
      description: Target environment for the request. Must be "test" or "live".

````